GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_hpack_compressor Struct Reference

`#include <stream_encoder.h>`

## Data Fields
gpr_uint32 | filter_elems_sum
gpr_uint32 | tail_remote_index
gpr_uint16 | table_size
gpr_uint16 | table_elems
gpr_uint8 | filter_elems [256]
grpc_mdctx * | mdctx
grpc_mdstr * | timeout_key_str
grpc_mdstr * | entries_keys [256]
grpc_mdelem * | entries_elems [256]
gpr_uint32 | indices_keys [256]
gpr_uint32 | indices_elems [256]
gpr_uint16 | table_elem_size [(4096/32)]

## Field Documentation

grpc_mdelem* grpc_chttp2_hpack_compressor::entries_elems[256]

grpc_mdstr* grpc_chttp2_hpack_compressor::entries_keys[256]

gpr_uint8 grpc_chttp2_hpack_compressor::filter_elems[256]

gpr_uint32 grpc_chttp2_hpack_compressor::filter_elems_sum

gpr_uint32 grpc_chttp2_hpack_compressor::indices_elems[256]

gpr_uint32 grpc_chttp2_hpack_compressor::indices_keys[256]

grpc_mdctx* grpc_chttp2_hpack_compressor::mdctx

gpr_uint16 grpc_chttp2_hpack_compressor::table_elem_size[(4096/32)]

gpr_uint16 grpc_chttp2_hpack_compressor::table_elems

gpr_uint16 grpc_chttp2_hpack_compressor::table_size

gpr_uint32 grpc_chttp2_hpack_compressor::tail_remote_index

grpc_mdstr* grpc_chttp2_hpack_compressor::timeout_key_str

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/stream_encoder.h